Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 927885

Summary: dev-qt/*:6 rekeywording (final'ish batch)
Product: Gentoo Linux Reporter: Ionen Wolkens <ionen>
Component: KeywordingAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: arthurzam, sam
Priority: Normal Keywords: CC-ARCHES
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=932862
Whiteboard:
Package list:
dev-qt/qt3d:6 ~arm ~arm64 ~riscv ~x86 dev-qt/qtconnectivity:6 ~arm ~ppc64 ~riscv ~x86 dev-qt/qtlocation:6 ~arm ~arm64 ~ppc64 ~riscv ~x86 dev-qt/qtnetworkauth:6 ~arm64 ~ppc64 ~riscv ~x86 dev-qt/qtscxml:6 ~arm ~arm64 ~riscv ~x86 dev-qt/qtsensors:6 ~arm ~hppa ~ppc ~ppc64 ~riscv ~x86 dev-qt/qtserialbus:6 ~x86 dev-qt/qtspeech:6 ~arm ~ppc64 ~riscv ~x86 dev-qt/qtvirtualkeyboard:6 ~arm ~arm64 ~ppc64 ~riscv ~x86 dev-qt/qtwebchannel:6 ~arm ~ppc ~ppc64 ~riscv ~x86 dev-qt/qtwebsockets:6 ~arm ~hppa ~ppc ~ppc64 ~riscv ~x86 dev-qt/qtwebview:6 ~arm64
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 930059, 934215    

Description Ionen Wolkens gentoo-dev 2024-03-26 08:41:45 UTC
None of these are currently *required* so if anything is truly broken we could permanently leave keywords dropped until really needed. However, doing these now will make the transition to Qt6 for packages easier without leading to masks or all over the place rekeywording bugs.

Current exclusions:
- * ~sparc: this has the most issues with Qt and will be a slow/separate process (assuming keep sparc keywords at all)
- qtwayland ~hppa: Qt5's was keyworded but USE=wayland is globally masked there and can wait until that changes
- qtwebengine ~x86: not going there, wrt ~arm+~ppc64 they are already dropped from qtwebengine-5.15.13
- qtwebview ~x86: needs qtwebengine

wrt qtscxml, one test can sometime *seem* it is hanging when it's not, tests have timeouts if need be so can wait for it (if that happens, may potentially need to raise timeouts further with some hardware).

qtconnectivity:6 keywords are matched with qtbluetooth:5's

Stablereqs for some of these arches to match Qt5 will follow not long after this bug is done so can drop remaining use.stable.masks as well (then it will be back to business as usual, and things will be done on-demand)
Comment 1 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-03-26 18:46:39 UTC
arm done
Comment 2 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-03-26 18:46:40 UTC
ppc done
Comment 3 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-03-27 12:41:40 UTC
x86 done
Comment 4 Yixun Lan archtester gentoo-dev 2024-03-28 04:07:26 UTC
riscv done
Comment 5 matoro archtester 2024-04-28 19:13:22 UTC
hppa done
Comment 6 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-05-16 15:36:42 UTC
arm64 done
Comment 7 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-06-15 12:03:30 UTC
arthur, can you take a look?
Comment 8 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-06-15 15:46:42 UTC
ppc64 done

all arches done